<?php
session_start();
include_once '../include/dbconnect.php';

$models = array(
  "DP715" => 1,
  "GXP1400" => 1,
  "GXP1100" => 1
  );




if ( isset($_POST['model']) && $models[$_POST['model']] ){
  $_SESSION['model'] = $_POST['model'];
}


if ( !isset($_SESSION['model']) || $_SESSION['model'] == '' ){
  $_SESSION['model'] = 'DP715';
}

?>

<!doctype html>
<html lang='fr'>
  <head>
    <style type="text/css">
      * {
        font-family:"Courier New", Courier, monospace;
        font-size:12px;
      }
    </style>
  </head>
  <body>
    <form method="post" action="#">
      <select name="model" onchange="this.form.submit()">
        <?php

        foreach ($models as $key => $value) {
          $s = "";
          if ( $_SESSION['model'] == $key ){
            $s = "selected='selected'";
          }
          echo '<option value="'.$key.'" '.$s.'>'.$key.'</option>';
        }
        ?>
      </select>
    </form>
    <hr>
    <table>
      <?php
        $sql = 'SELECT * FROM `Customer_Devices_Provisioning_Parameters` WHERE Device_Model = \''.$_SESSION['model'].'\';';
        $max_marging = 80;
        if ($result = $con->query($sql)) {
          while ( $row = $result->fetch_assoc() ) {
            echo '<tr>';
            if ( $row['Default_Value'] == ' ' ) {
              $row['Default_Value'] = '';
            }
            $row['Default_Value'] = preg_replace('/\ /','',$row['Default_Value']);
            $row['Parameter_ID'] = preg_replace('/\ /','',$row['Parameter_ID']);
            $row['Description'] = preg_replace('/</','&lt;',$row['Description']);
            $row['Description'] = preg_replace('/>/','&gt;',$row['Description']);
            $row['Description'] = preg_replace('/&lt;/','<br>&lt;',$row['Description']);

            $param_xml = '&lt;' . $row['Parameter_ID'] . '&gt;' . $row['Default_Value'] . '&lt;/' . $row['Parameter_ID'] . '&gt;';
            $param_xml_lenght = strlen($param_xml);

            $margin = $max_marging - $param_xml_lenght;
            if ( $margin < 0 ){
              $margin = 2;
            }
            $comment_spaces = '';
            for ($i=0; $i <= $margin ; $i++) { 
              $comment_spaces = $comment_spaces . '&nbsp;';
            }
            echo '<td  nowrap style="  vertical-align: top; text-align: left;">&nbsp;&nbsp;&nbsp;&nbsp;' . $param_xml  . '</td><td>' . '&lt;!-- &nbsp;' . $row['Device_Model'] . '&nbsp;' . $row['Description']  . ' --&gt;</td>';
            echo '</tr>';
            //echo '<td>&nbsp;&nbsp;&nbsp;&nbsp;' . $param_xml  . $comment_spaces . '&lt;!-- &nbsp;' . $row['Device_Model'] . '&nbsp;' . $row['Description']  . ' --&gt;</td>';
            echo '</tr>';
          }
        }
      ?>

    </table>

  </body>
</html>
<?php

$con->close();


?>