<?php

if ( 'xxx.xxx.xxx.xxx' != $_SERVER["REMOTE_ADDR"] ){
  exit;
}
session_start();

include "../include/dbconnect.php";

$URL = '';

if ( isset( $_SERVER['REDIRECT_URL'] ) ){
    $URL = basename($_SERVER['REDIRECT_URL']);
}

if( !preg_match('/^cfg([0-9A-z]{12})\.xml$/', $URL, $param) ){
    exit;
}

$model = '';
$mac = $param[1];

if( preg_match('/.*Grandstream.*GXP1400.*/', $_SERVER['HTTP_USER_AGENT']) ){
    $model = 'GXP1400';
} elseif ( preg_match('/.*Grandstream.*DP715.*/', $_SERVER['HTTP_USER_AGENT']) ) {
    $model = 'DP715';
} elseif ( preg_match('/.*Grandstream.*GXP1100.*/', $_SERVER['HTTP_USER_AGENT']) ) {
    $model = 'GXP1100';
}


$sql = "SELECT ID FROM Customer_Devices_Provisioning WHERE MAC_Address IS NULL AND HTTP_Login IS NULL AND HTTP_Password IS NULL AND Init_Closing_Time > NOW() AND Init_Session_Until > NOW() AND Init_IP='".$_SERVER['REMOTE_ADDR']."' AND Device_Model='".$model."' LIMIT 1;";
//echo $sql;
$ID = '';

if ($result = $con->query($sql)) {
    if( $result->num_rows != 1 ){
        exit;
    }
    $row = $result->fetch_assoc();
    $ID = $row['ID'];
    $result->close();
} else {
    exit;
}

$pass = randomPassword();

$sql = 'UPDATE `Customer_Devices_Provisioning` SET MAC_Address = "'.$mac.'", HTTP_Login="' . $mac . '", HTTP_Password="' . $pass . '", Init_Date=NOW() WHERE ID="' . $ID . '";';

if (!mysqli_query($con,$sql)) {
    die('Error: ' . mysqli_error($con));
}
echo '<?xml version="1.0" encoding="UTF-8" ?>'."\n"?>
<gs_provision version="1">
<mac><?= $mac ?></mac>
  <config version="1">
    <P271>1</P271>
    <P237>provisioning.switzernet.com/gs/protected</P237>
    <P1360><?= $mac ?></P1360>
    <P1361><?= $pass ?></P1361>
  </config>
</gs_provision>

<?php

$con->close();


function randomPassword() {
    $alphabet = "abcdefghijklmnopqrstuwxyzABCDEFGHIJKLMNOPQRSTUWXYZ0123456789";
    $pass = array(); //remember to declare $pass as an array
    $alphaLength = strlen($alphabet) - 1; //put the length -1 in cache
    for ($i = 0; $i < 8; $i++) {
        $n = rand(0, $alphaLength);
        $pass[] = $alphabet[$n];
    }
    return implode($pass); //turn the array into a string
}

?>