#!/usr/bin/perl

use strict;
use warnings;
use DBI;
use Data::Dumper;

my $pb_db   = "porta-billing";
my $pb_host = "xxx.xxx.xxx.xxx";
my $pb_user = "xxxxxxxxxxxxxxx";
my $pb_pass = "xxxxxxxxxxxxxxx";

my $pr_db   = "Provisioning";
my $pr_host = "xxx.xxx.xxx.xxx";
my $pr_user = "xxxxxxxxxxxxxxx";
my $pr_pass = "xxxxxxxxxxxxxxx";

my $pb_hash = {};
my $pr_hash = {};
my $sth;
my $sql = '';

my $pass_key = rndStr(12, 'A'..'Z', 0..9, 'a'..'z', '-', '_', '.');

my $pb_dbh = DBI->connect( "dbi:mysql:dbname=$pb_db;host=$pb_host;", $pb_user, $pb_pass ) or die "Connexion
impossible à la base de données $pb_db !";

my $pr_dbh = DBI->connect( "dbi:mysql:dbname=$pr_db;host=$pr_host;", $pr_user, $pr_pass ) or die "Connexion
impossible à la base de données $pr_db !";

my $i_account_max_per_request = 50;
my @i_accounts = ();

$sql = "SELECT i_account FROM Customer_Devices_Provisioning WHERE i_account IS NOT NULL AND i_account != '';";
$sth = $pr_dbh->prepare($sql);
$sth->execute();       
while ( my $row = $sth->fetchrow_hashref ){
  push( @i_accounts, $row->{'i_account'} );
  if ( @i_accounts >= ( $i_account_max_per_request ) ){
    my $h = get_passwords_for_i_account_array(@i_accounts);
    @{$pb_hash}{keys %$h} = values %$h;
    @i_accounts = ();
  }
}
if (@i_accounts > 0){
  my $h = get_passwords_for_i_account_array(@i_accounts);
  @{$pb_hash}{keys %$h} = values %$h;
}

$sql = "SELECT i_account, password FROM Accounts_passwords;";
$sth = $pr_dbh->prepare($sql);
$sth->execute();

while ( my $row = $sth->fetchrow_hashref ){
  $pr_hash->{ $row->{'i_account'} } = $row->{'password'};
}

foreach my $i_account ( keys( %$pb_hash ) ) {
  $sql = '';
  if ( defined ( $pr_hash->{$i_account} )  &&  $pr_hash->{$i_account} ne $pb_hash->{$i_account} ){
    $sql = 'UPDATE Accounts_passwords SET password = "'.$pb_hash->{$i_account}.'" WHERE i_account = '.$i_account.';';
  } elsif ( ! defined ( $pr_hash->{$i_account} )  ) {
    $sql = 'INSERT INTO Accounts_passwords (i_account,password) VALUES ('.$i_account.',\'' . $pb_hash->{$i_account} . '\');';
  }
  if ( $sql ne '' ){
    $sth = $pr_dbh->prepare($sql);
    $sth->execute();
  }
}

$pr_dbh->disconnect();
$pb_dbh->disconnect();

exit;



sub get_passwords_for_i_account_array {
  my @i_accounts = @_;
  my $hash = {};
  $sql = "SELECT i_account, h323_password as password FROM Accounts WHERE i_account IN (".join(',',@i_accounts).") AND h323_password IS NOT NULL;";
  my $sth = $pb_dbh->prepare($sql);
  $sth->execute();       
  while ( my $row = $sth->fetchrow_hashref ){
    $hash->{ $row->{'i_account'} } = $row->{'password'};
  }
  return $hash;
}
