<?php 

# URL parameters

$DEBUG = FALSE;
$URL = '';
if ( isset( $_SERVER['REDIRECT_URL'] ) ){
    $URL = basename($_SERVER['REDIRECT_URL']);
}
if( !preg_match('/^cfg([0-9A-z]{12})\.xml$/', $URL, $param) ){
    exit;
}
$mac = $param[1];
$mac = strtolower($mac);

# Getting login and passwords

include "../../include/dbconnect.php";

$sql="SELECT * FROM Customer_Devices_Provisioning WHERE MAC_Address = '".$mac."';";
//echo $sql;
$users = array();
$device = array();

if ($result = $con->query($sql)) {
    if( $result->num_rows != 1 ){
        exit;
    }
    $row = $result->fetch_assoc();
    $users[$row['HTTP_Login']] = $row['HTTP_Password'];
    $device = $row;
    $result->close();
}

$digest = false;

# HTTP authentication
$realm = 'Provisioning restricted area '.$mac;

if ($digest){
    if (empty($_SERVER['PHP_AUTH_DIGEST'])) {
        header('HTTP/1.1 401 Unauthorized');
        header('WWW-Authenticate: Digest realm="'.$realm.'",qop="auth",nonce="'.uniqid().'",opaque="'.md5($realm).'"');
        die('Text to send if user hits Cancel button');
    }

    if (!($data = http_digest_parse($_SERVER['PHP_AUTH_DIGEST'])) ||
        !isset($users[$data['username']])){
        die('Wrong Credentials !');
    }

    $A1 = md5($data['username'] . ':' . $realm . ':' . $users[$data['username']]);
    $A2 = md5($_SERVER['REQUEST_METHOD'].':'.$data['uri']);
    $valid_response = md5($A1.':'.$data['nonce'].':'.$data['nc'].':'.$data['cnonce'].':'.$data['qop'].':'.$A2);

    if ($data['response'] != $valid_response)
        die('Wrong Credentials!');

} else {
    if ( !isset($_SERVER['PHP_AUTH_USER']) ||
         !isset($users[$_SERVER['PHP_AUTH_USER']]) ||
         $users[$_SERVER['PHP_AUTH_USER']] != $_SERVER['PHP_AUTH_PW'] ) {
        header('WWW-Authenticate: Basic realm="'.$realm.'"');
        header('HTTP/1.0 401 Unauthorized');
        echo 'Wrong Credentials (basic) !';
        exit;
    }
}

function http_digest_parse($txt) {
    $needed_parts = array('nonce'=>1, 'nc'=>1, 'cnonce'=>1, 'qop'=>1, 'username'=>1, 'uri'=>1, 'response'=>1);
    $data = array();
    $keys = implode('|', array_keys($needed_parts));
    preg_match_all('@(' . $keys . ')=(?:([\'"])([^\2]+?)\2|([^\s,]+))@', $txt, $matches, PREG_SET_ORDER);
    foreach ($matches as $m) {
        $data[$m[1]] = $m[3] ? $m[3] : $m[4];
        unset($needed_parts[$m[1]]);
    }
    return $needed_parts ? false : $data;
}

# SIP servers
$rand_sip = array();
$h_sip = array();
$sql = 'SELECT name, weight FROM Sip_Servers;';
if ($result = $con->query($sql)) {
  while ( $row = $result->fetch_assoc() ) {
    for ($i=0; $i < $row['weight']; $i++) { 
        array_push($rand_sip, $row['name']);
        $h_sip[$row['name']] = 1;
    }
  }
  $result->close();
}

$sip1 = '';
$sip2 = '';

if ($device['Device_Model'] == 'DP715'){
    $P_sip1 = 'P47';
    $P_sip2 = 'P967';
} elseif ( $device['Device_Model'] == 'GXP1400' ) {
    $P_sip1 = 'P47';
    $P_sip2 = 'P2312';
} elseif ( $device['Device_Model'] == 'GXP1100' ) {
    $P_sip1 = 'P47';
    $P_sip2 = 'P2312';
}

$test_string = "";


# Changing sip every 10 provisioning
if ( ((int) ($device['Count_Updates']/10)) != ($device['Count_Updates']/10) ){
    $test_string =  $device['Count_Updates'] - ((int) ($device['Count_Updates']/10))*10;

    $sql = 'SELECT * FROM Customer_Devices_Provisioning_Values WHERE Device_ID = '.$device['ID'].' AND Parameter_ID = \'' . $P_sip1 . '\';';
    if ( $result = $con->query($sql) ) {
        if ( $row = $result->fetch_assoc() ){
            if ( isset($h_sip[$row['Value']])  ){
                $sip1 = $row['Value'];
            }
        }
    } else {
        exit;
    }

    $sql = 'SELECT * FROM Customer_Devices_Provisioning_Values WHERE Device_ID = '.$device['ID'].' AND Parameter_ID = \'' . $P_sip2 . '\';';
    if ( $result = $con->query($sql) ) {
        if ( $row = $result->fetch_assoc() ){
            if ( isset($h_sip[$row['Value']] )  ){
                $sip2 = $row['Value'];
            }
        }
    } else {
        exit;
    }
} else {
    $test_string = "Change";
}

$test_string = "";


if ( $sip1 == '' ){
    $sip1 = $rand_sip[rand ( 0 , (count ($rand_sip) - 1) )];
}

if ( $sip2 == '' ){
    $sip2 = $sip1;
    $tmp = 0;
    while ( $sip2 == $sip1 && $tmp < 10 ) {
        $sip2 = $rand_sip[rand ( 0 , (count ($rand_sip) - 1) )];
        $tmp++;
    }
}

$sql = 'INSERT INTO `Customer_Devices_Provisioning_Values` (Device_ID,Parameter_ID,Value) VALUES ('.$device['ID'].',\''.$P_sip1.'\',\''.$sip1.'\') ON DUPLICATE KEY UPDATE Value = \''.$sip1.'\';';
mysqli_query($con,$sql);

$sql = 'INSERT INTO `Customer_Devices_Provisioning_Values` (Device_ID,Parameter_ID,Value) VALUES ('.$device['ID'].',\''.$P_sip2.'\',\''.$sip2.'\') ON DUPLICATE KEY UPDATE Value = \''.$sip2.'\';';
mysqli_query($con,$sql);


//$test_string = $sql;
//$test_string = print_r($h_sip,true);

$update_voip_pass = TRUE;

if ( $device['i_account'] == '' || !isset($device['i_account'])){
    $con_ps=mysqli_connect('87.98.149.159','provisioning','xd7w1y9p5w1swtgdk',"porta-sip");

    if (mysqli_connect_errno()){
      echo "Failed to connect to MySQL: " . mysqli_connect_error($con_ps);
    }

    $sql = "SELECT i_account, h323_password as password FROM `porta-billing`.Accounts WHERE id = '".$device['Account_ID']."';";

    if ($result = $con_ps->query($sql)) {
        if( $result->num_rows != 1 ){
            exit;
        }
        $row = $result->fetch_assoc();
        $sql = "UPDATE `Customer_Devices_Provisioning` SET i_account='" . $row['i_account'] . "' WHERE MAC_Address = '".$mac."';";
        mysqli_query($con,$sql);
        $sql = "INSERT INTO `Accounts_passwords` (i_account, password) VALUES ('" . $row['i_account'] . "', '" . $row['password'] . "') ON DUPLICATE KEY UPDATE password='" . $row['password'] . "';";
        mysqli_query($con,$sql);
        $device['i_account'] = $row['i_account'];
        $device['password'] = $row['password'];
    } else {
        exit;
    }
    $con_ps->close();
}

$sql = "SELECT password FROM `Accounts_passwords` WHERE i_account='".$device['i_account']."';";
if ( $result = $con->query($sql) ) {
    if( $result->num_rows != 1 ){
        exit;
    }
    $row = $result->fetch_assoc();
    $device['password'] = $row['password'];
} else {
    exit;
}


# XML Generation

echo '<?xml version="1.0" encoding="UTF-8" ?>'."\n"; ?>
<gs_provision version="1">
<mac><?= $mac ?></mac>
  <config version="1">
    <!--  <?= $test_string ?> -->
<?php if ( $device['Device_Model'] == 'DP715' ){ ?>
<?php ################################################################## DP715 #################################################################### ?>
    <!--  General -->
    <P192>fm.grandstream.com/gs</P192>                                  <!-- DP715 Firmware Server Path -->
    <P237>provisioning.switzernet.com/gs/protected</P237>               <!-- DP715 Config Server Path -->
    <P194>3</P194>                                                      <!-- DP715 Automatic Upgrade. 0 - No, 1 - Check daily, 2 - Check weekly, 3 - Check every () minutes. Default is No. -->
    <P193>60</P193>                                                     <!-- DP715 Check for new firmware/config file every () minutes, unit is in minute, minimum 60 minutes, default is 7 days. -->
    <P212>2</P212>                                                      <!--  DP715 Firmware Upgrade and Privisioning. 0 - TFTP Upgrade, 1 - HTTP Upgrade, 2 - HTTPS Upgrade. -->
<?php if ( isset($device['HTTP_Login']) && $device['HTTP_Login'] != '' && isset($device['HTTP_Password']) && $device['HTTP_Login'] != '' ){ ?>
    <P1360><?= $device['HTTP_Login'] ?></P1360>                         <!-- DP715 HTTP/HTTPS User Name -->
    <P1361><?= $device['HTTP_Password'] ?></P1361>                      <!-- DP715 HTTP/HTTPS Password -->
<?php } ?>
    <P64>TZO-1</P64>                                                    <!-- DP715  Time Zone. Offset in minutes to GMT (See all possible values in config templates) -->
    <P246></P246>                                                       <!-- DP715 Self-Defined Time Zone -->

    <!--  Profile #1 -->
    <P271>1</P271>                                                      <!--  DP715 Profile Active. 0 - No, 1 - Yes. -->
    <P47><?= $sip1 ?></P47>                                             <!--  DP715 Primary SIP Server -->
    <P967><?= $sip2.":5070" ?></P967>                                   <!--  DP715 Failover SIP Server -->
    <P4567>0</P4567>                                                    <!--  DP715 Prefer Primary SIP Server. 0 - No, 1 - Yes. -->
    <P63>1</P63>                                                        <!--  DP715 Tel URI. 0 - Disabled, 1 - User=Phone, 2 - Enabled -->
    <P81>0</P81>                                                        <!--  DP715 Unregister On Reboot. 0 - No, 1 - Yes -->
    <P31>1</P31>                                                        <!--  DP715 SIP Registration. 0 - No, 1 - Yes -->
    <P32>2</P32>                                                        <!--  DP715 Register Expiration (in minutes. default 1 hour, max 45 days) -->
    <P78>1</P78>                                                        <!--  DP715 Use Random Port. 0 - No, 1 - Yes -->
    <P4060><?= $device['Account_ID'] ?></P4060>                         <!--  DP715 SIP User ID -->
    <P4090><?= $device['Account_ID'] ?></P4090>                         <!--  DP715 Authenticate ID -->
<?php if ( $update_voip_pass && isset($device['password']) ){ ?>
    <P4120><?= $device['password'] ?></P4120>                           <!--  DP715 Authenticate Password -->
<?php } ?>
    <P243>1</P243>                                                      <!--  DP715 Allow Incoming SIP Messages from SIP Proxy Only. 0 - No, 1 - Yes -->
      <!--  Preferred Vocoder -->
      <!--  0 - PCMU, 8 - PCMA, 4 - G.723, 18 - G.729, 2 - G.726-32, 98 - iLBC -->
    <P57>18</P57>                                                       <!--  DP715 Choice 1. -->
    <P58>98</P58>                                                       <!--  DP715 Choice 2. -->
    <P59>2</P59>                                                        <!--  DP715 Choice 3. -->
    <P60>8</P60>                                                        <!--  DP715 Choice 4. -->
    <P61>0</P61>                                                        <!--  DP715 Choice 5. -->
    <P62>4</P62>                                                        <!--  DP715 Choice 6. -->
<?php } elseif ( $device['Device_Model'] == 'GXP1400' ) { ?>
<?php ################################################################## GXP1400 #################################################################### ?>
    <!--  General -->
    <P192>fm.grandstream.com/gs</P192>                                  <!--  GXP1400 Firmware Server Path String -->
    <P237>provisioning.switzernet.com/gs/protected</P237>               <!--  GXP1400 Config Server Path String -->
    <P193>60</P193>                                                     <!--  GXP1400 Check for new firmware every () minutes. Default is 7 days. Number: 60-86400 Mandatory -->
    <P238>0</P238>                                                      <!--  GXP1400 Firmware Upgrade and Provisioning 0 - Always Check For New Firmware 1 - Check New Firmware only when F/W pre/suffix changes 2 - Always Skip the Firmware Check Number: 0, 1, 2 Mandatory -->
    <P212>2</P212>                                                      <!--  GXP1400 Firmware Upgrade Via. 0 - TFTP Upgrade, 1 - HTTP Upgrade, 2 - HTTPS Upgrade. Default is 1 Number: 0, 1, 2 Mandatory -->
<?php if ( isset($device['HTTP_Login']) && $device['HTTP_Login'] != '' && isset($device['HTTP_Password']) && $device['HTTP_Login'] != '' ){ ?>
    <P1360><?= $device['HTTP_Login'] ?></P1360>                         <!-- DP715 HTTP/HTTPS User Name -->
    <P1361><?= $device['HTTP_Password'] ?></P1361>                      <!-- DP715 HTTP/HTTPS Password -->
<?php   } ?>
    <P64>CET-1CEST-2,M3.5.0/02:00:00,M10.5.0/03:00:00</P64>             <!--  GXP1400 Time Zone auto -->
    <!--  Profile #1 -->
    <P271>1</P271>                                                      <!--  GXP1400 Account Active. 0 - No, 1 - Yes. Default is 1 Number: 0, 1 Mandatory -->
    <P47><?= $sip1 ?></P47>                                             <!--  GXP1400 SIP Server String -->
    <P2312><?= $sip2 ?></P2312>                                         <!--  GXP1400 Secondary SIP Server String -->
    <P35><?= $device['Account_ID'] ?></P35>                             <!--  GXP1400 SIP User ID String -->
    <P36><?= $device['Account_ID'] ?></P36>                             <!--  GXP1400 Authenticate ID String -->
<?php if ( $update_voip_pass && isset($device['password']) ){ ?>
    <P34><?= $device['password'] ?></P34>                               <!--  GXP1400 Authenticate Password String -->
<?php } ?>
    <P3><?= $device['Account_ID'] ?></P3>                               <!--  GXP1400 Display Name String -->
    <P31>1</P31>                                                        <!--  GXP1400 SIP Registration. 0 - No, 1 - Yes. Default is 1 Number: 0, 1 Mandatory -->
    <P32>3</P32>                                                        <!--  GXP1400 Register Expiration (in minutes). Default is 60. Max about 45 days Number: 1 - 64800 Mandatory -->
    <P63>1</P63>                                                        <!--  GXP1400 TEL URI. 0 - Disabled, 1 - User=Phone, 2 - Enabled. Default is 0 Number: 0, 1, 2 Mandatory -->
    <P78>1</P78>                                                        <!--  GXP1400 Use Random Port. 0 - No, 1 - Yes. Default is 0 Number: 0, 1 Mandatory -->
    <P2347>1</P2347>                                                    <!--  GXP1400 Accept Incoming SIP from Proxy Only. 0 - No, 1 - Yes. Default is 0 Number: 0, 1 Mandatory -->
      <!--  GXP1400 Preferred Vocoder -->
      <!-- 0 - PCMU, 2 - G.726-32, 4 - G.723.1, 8 - PCMA, 9 - G.722, 18 - G.729A/B, 98 - iLBC choice 1. -->
    <P57>18</P57>                                                       <!--  GXP1400 choice 1. Default is 0 Number: 0, 2, 4, 8, 9, 18, 98 Mandatory -->
    <P58>98</P58>                                                       <!--  GXP1400 choice 2. Default is 8 Number: 0, 2, 4, 8, 9, 18, 98 Mandatory -->
    <P59>2</P59>                                                        <!--  GXP1400 choice 3. Default is 4 Number: 0, 2, 4, 8, 9, 18, 98 Mandatory -->
    <P60>8</P60>                                                        <!--  GXP1400 choice 4. Default is 18 Number: 0, 2, 4, 8, 9, 18, 98 Mandatory -->
    <P61>0</P61>                                                        <!--  GXP1400 choice 5. Default is 9 Number: 0, 2, 4, 8, 9, 18, 98 Mandatory -->
    <P62>9</P62>                                                        <!--  GXP1400 choice 6. Default is 98 Number: 0, 2, 4, 8, 9, 18, 98 Mandatory -->
    <P46>4</P46>                                                        <!--  GXP1400 choice 7. Default is 2 Number: 0, 2, 4, 8, 9, 18, 98 Mandatory -->
<?php } elseif ( $device['Device_Model'] == 'GXP1100' ) { ?>
<?php ################################################################## GXP1100 #################################################################### ?>
    <!--  General -->
    <P192>fm.grandstream.com/gs</P192>                                  <!--  GXP1100 Firmware Server Path String -->
    <P237>provisioning.switzernet.com/gs/protected</P237>               <!--  GXP1100 Config Server Path String -->
    <P193>60</P193>                                                     <!--  GXP1100 Check for new firmware every () minutes. Default is 7 days. Number: 60-86400 Mandatory -->
    <P238>0</P238>                                                      <!--  GXP1100 Firmware Upgrade and Provisioning 0 - Always Check For New Firmware 1 - Check New Firmware only when F/W pre/suffix changes 2 - Always Skip the Firmware Check Number: 0, 1, 2 Mandatory -->
    <P212>2</P212>                                                      <!--  GXP1100 Firmware Upgrade Via. 0 - TFTP Upgrade, 1 - HTTP Upgrade, 2 - HTTPS Upgrade. Default is 1 Number: 0, 1, 2 Mandatory -->
<?php if ( isset($device['HTTP_Login']) && $device['HTTP_Login'] != '' && isset($device['HTTP_Password']) && $device['HTTP_Login'] != '' ){ ?>
    <P1360><?= $device['HTTP_Login'] ?></P1360>                         <!-- DP715 HTTP/HTTPS User Name -->
    <P1361><?= $device['HTTP_Password'] ?></P1361>                      <!-- DP715 HTTP/HTTPS Password -->
<?php   } ?>
    <!--  Profile #1 -->
    <P271>1</P271>                                                      <!--  GXP1100 Account Active. 0 - No, 1 - Yes. Default is 1 Number: 0, 1 Mandatory -->
    <P47><?= $sip1 ?></P47>                                             <!--  GXP1100 SIP Server String -->
    <P2312><?= $sip2 ?></P2312>                                         <!--  GXP1100 Secondary SIP Server String -->
    <P35><?= $device['Account_ID'] ?></P35>                             <!--  GXP1100 SIP User ID String -->
    <P36><?= $device['Account_ID'] ?></P36>                             <!--  GXP1100 Authenticate ID String -->
<?php if ( $update_voip_pass && isset($device['password']) ){ ?>
    <P34><?= $device['password'] ?></P34>                               <!--  GXP1100 Authenticate Password String -->
<?php } ?>
    <P3><?= $device['Account_ID'] ?></P3>                               <!--  GXP1100 Display Name String -->
    <P31>1</P31>                                                        <!--  GXP1100 SIP Registration. 0 - No, 1 - Yes. Default is 1 Number: 0, 1 Mandatory -->
    <P32>3</P32>                                                        <!--  GXP1100 Register Expiration (in minutes). Default is 60. Max about 45 days Number: 1 - 64800 Mandatory -->
    <P63>1</P63>                                                        <!--  GXP1100 TEL URI. 0 - Disabled, 1 - User=Phone, 2 - Enabled. Default is 0 Number: 0, 1, 2 Mandatory -->
    <P78>1</P78>                                                        <!--  GXP1100 Use Random Port. 0 - No, 1 - Yes. Default is 0 Number: 0, 1 Mandatory -->
    <P2347>1</P2347>                                                    <!--  GXP1100 Accept Incoming SIP from Proxy Only. 0 - No, 1 - Yes. Default is 0 Number: 0, 1 Mandatory -->
      <!--  GXP1100 Preferred Vocoder -->
      <!-- 0 - PCMU, 2 - G.726-32, 4 - G.723.1, 8 - PCMA, 9 - G.722, 18 - G.729A/B, 98 - iLBC choice 1. -->
    <P57>18</P57>                                                       <!--  GXP1100 choice 1. Default is 0 Number: 0, 2, 4, 8, 9, 18, 98 Mandatory -->
    <P58>98</P58>                                                       <!--  GXP1100 choice 2. Default is 8 Number: 0, 2, 4, 8, 9, 18, 98 Mandatory -->
    <P59>2</P59>                                                        <!--  GXP1100 choice 3. Default is 4 Number: 0, 2, 4, 8, 9, 18, 98 Mandatory -->
    <P60>8</P60>                                                        <!--  GXP1100 choice 4. Default is 18 Number: 0, 2, 4, 8, 9, 18, 98 Mandatory -->
    <P61>0</P61>                                                        <!--  GXP1100 choice 5. Default is 9 Number: 0, 2, 4, 8, 9, 18, 98 Mandatory -->
    <P62>9</P62>                                                        <!--  GXP1100 choice 6. Default is 98 Number: 0, 2, 4, 8, 9, 18, 98 Mandatory -->
    <P46>4</P46>                                                        <!--  GXP1100 choice 7. Default is 2 Number: 0, 2, 4, 8, 9, 18, 98 Mandatory -->
<?php } ?>
  </config>
</gs_provision>

<?php
if ( !isset( $device['First_Update'] ) || $device['First_Update'] = '' ){
    $sql = "UPDATE Customer_Devices_Provisioning SET First_Update = NOW() WHERE MAC_Address = '".$mac."';";
    mysqli_query($con,$sql);
}

$sql = "UPDATE Customer_Devices_Provisioning SET Last_Update = NOW(), Count_Updates = ( Count_Updates + 1 ) WHERE MAC_Address = '".$mac."';";
mysqli_query($con,$sql);

$con->close();
?>
