<?php

include_once "./dbconnect.php";

if ( isset($_GET['id']) && preg_match('/^[0-9]+$/',$_GET['id']) ){
  $data = get_Device_data($_GET['id']);
} else {
  exit;
}

$allowed_seconds = '10';
if ( isset($_GET['int_time']) && preg_match('/^[0-9]+$/',$_GET['int_time']) ){
  $allowed_seconds=$allowed_seconds+$_GET['int_time'];
}

if ( isset($_GET['start_modal']) && $_GET['start_modal'] = 'yes' ){
  if ( ( ( strtotime($data['Init_Session_Until']) - time() ) <= 0 || $data['Init_Session_Until'] == '' ) && $data['MAC_Address'] == '' ){
    reset_Init_Session_Until($_GET['id']);
  }
} else {
  if ( ( strtotime($data['Init_Session_Until']) - time() ) <= 0 && $data['MAC_Address'] == '' && $data['Init_Date'] == '' ){ ?>
    <script type="text/javascript">
    clearInterval(reload_modal_interval);
    clearInterval(update_time_interval);
    clearInterval(point_interval);
    reload_modal_interval = 0;
    update_time_interval = 0;
    point_interval = 0;
    $('#myModal').modal('hide');
    </script>
    <?php
  } else {
    opened_Session_Update($_GET['id']);
  }
}

$data = get_Device_data($_GET['id']);

?>
        <p>
          Account ID   : <?= $data['Account_ID'] ?><br>
          Device Model : <?= $data['Device_Model'] ?><br>
          Mac Address  : <?= $data['MAC_Address'] ?>
          <h3>Instructions</h3>
          When opened, this window enables a session for a new provisioning autoconfiguration.<br>
          Open and plug the new phone in the router.<br>
          <h3>Status</h3>
          <?php
            $finished = false;
            
            $three_points = '<span id="three_points"></span>';
            $continue = true;

            if( $_SERVER['REMOTE_ADDR'] != $data['Init_IP'] ){
              echo "Initialing :".$three_points."<br>";
              $continue = false;
            } else {
              echo "Initialing : DONE<br>";
            }

            if ( $continue ){
              if( $data['MAC_Address'] == '' && $data['Init_Date'] == '' ){
                echo "Waiting for new device provisioning #1 :".$three_points."<br>";
                $continue = false;
              } else {
                echo "Waiting for new device provisioning #1 : DONE"."<br>";
                echo "Found new device with MAC Address ".$data['MAC_Address']."<br>";
              }
            }

            if ( $continue ){
              if( $data['HTTP_Login'] == '' && $data['HTTP_Password'] == '' ){
                echo "Configuring new HTTP access :".$three_points."<br>";
                $continue = false;
              } else {
                echo "Configuring new HTTP access : DONE"."<br>";
              }
            }

            if ( $continue ){
              if( $data['First_Update'] == '' ){
                echo "Waiting for provisioning #2 :".$three_points."<br>";
                $continue = false;
              } else {
                echo "Waiting for provisioning #2 : DONE"."<br>";
              }
            }

            if ( $continue ){
              echo "Configuration finished !<br>";
            }
          ?>
        </p>

    <script type="text/javascript">
      $('#session_close_timer').text("<?= date('H:i:s', max(strtotime($data['Init_Session_Until']) - time(),0) ); ?>");

      if(point_interval === 0){
        point_interval = setInterval(update_points,1000);
      }

      if(update_time_interval === 0){
        update_time_interval = setInterval(update_time,1000);
      }

      function update_points(){
        var d = new Date();
        var s = d.getSeconds();
        var n = s - parseInt((s/4))*4;
        var t = ' ';
        for (var i = 1; i <= n; i++) {
          t = t+'.';
        };
        $('#three_points').text(t);
      }

    function update_time(){
      time = $('#session_close_timer').text();
      h = time.substr(0, 2);
      m = time.substr(3, 2);
      s = time.substr(6, 2);
      total = parseInt(h)*3600+parseInt(m)*60+parseInt(s);
      total = total - 1;
      n_h = parseInt( total / 3600 );
      n_m = parseInt( (total - n_h*3600)/60 );
      n_s = parseInt(total - n_h*3600 - n_m*60 );
      $('#session_close_timer').text(  pad(Math.max(0,n_h),2) + ":" + pad(Math.max(0,n_m),2) + ":" + pad(Math.max(0,n_s) ,2));
    }

    function pad(num, size) {
        var s = num+"";
        while (s.length < size) s = "0" + s;
        return s;
    }
    </script>

<?php

$con->close();

function moving_points(){
  $n = date('s') - ( (int)(date('s') / 4) * 4 ) ;
  $t = '&nbsp;';
  for ($i=1; $i <= $n; $i++) { 
    $t .= '.';
  }
  return $t;
}

function reset_Init_Session_Until ($id){
  global $con;
  global $allowed_seconds;
  $sql = "UPDATE `Customer_Devices_Provisioning` SET Init_IP='".$_SERVER['REMOTE_ADDR']."',Init_Closing_Time='".date('Y-m-d H:i:s',mktime ( date("H") , date("i"), date("s") + $allowed_seconds , date("n") , date("j") , date("Y") ))."' , Init_Session_Until='".date('Y-m-d H:i:s',mktime ( date("H") , date("i") + 5 , date("s") , date("n") , date("j") , date("Y") ))."' WHERE ID='".$id."';";
  if (!mysqli_query($con,$sql)) {
    die('Error: ' . mysqli_error($con));
  }
  return true;
}

function get_Device_data ($id){
  global $con;
  $sql = "SELECT * FROM `Customer_Devices_Provisioning` WHERE ID='".$id."';";
  $data = array();
  if ($result = $con->query($sql)) {
    $data = $result->fetch_assoc();
  } else {
    echo "No results !";
    exit;
  }
  return $data;
}

function opened_Session_Update($id){
  global $con;
  global $allowed_seconds;
  $sql = "UPDATE `Customer_Devices_Provisioning` SET Init_Closing_Time='".date('Y-m-d H:i:s',mktime ( date("H") , date("i"), date("s") + $allowed_seconds , date("n") , date("j") , date("Y") ))."' WHERE ID='".$id."';";
  //  echo "$sql\n<br>";

  if (!mysqli_query($con,$sql)) {
    die('Error: ' . mysqli_error($con));
  }
  return true;
}

?>