<?php
session_start();
include_once "./include/dbconnect.php";
$devices = array("DP715" => "Grandstream DP715", "GXP1100" => "Grandstream GXP1100", "GXP1400" => "Grandstream GXP1400");


if( isset($_POST['account_id']) && isset($_POST['model']) && isset($_POST['add']) && $_POST['add'] == "yes" && preg_match('/^41[0-9]{9}$/',$_POST['account_id']) && $_POST['model'] == '' ){

}

if ( isset($_POST['account_id']) && isset($_POST['model']) && isset($_POST['add']) && $_POST['add'] == "yes" && preg_match('/^41[0-9]{9}$/',$_POST['account_id']) && array_key_exists($_POST['model'], $devices) ){
  $sql = "INSERT INTO `Customer_Devices_Provisioning` (Account_ID,Device_Model,Subscrition_Date) VALUES ('".$_POST['account_id']."','".$_POST['model']."',NOW())";
  if (!mysqli_query($con,$sql)) {
    die('Error: ' . mysqli_error($con));
  }
}

if( isset($_GET['del']) && preg_match('/^[0-9]+$/',$_GET['del'])){
  $sql = "DELETE FROM `Customer_Devices_Provisioning` WHERE ID='".$_GET['del']."'";
  if (!mysqli_query($con,$sql)){
    die('Error: ' . mysqli_error($con));
  }
}

?>
<!doctype html>
<html lang="fr">
  <head>
    <title>Device provisioning auto-configuration</title>
    <link rel="stylesheet" href="http://yui.yahooapis.com/pure/0.4.2/pure-min.css">
    <!-- <link rel="stylesheet" href="http://purecss.io/css/main.css"> -->
    <link rel="stylesheet" href="./css/modal.css">
    <link rel="stylesheet" href="./css/styles.css">
    <script type="text/javascript" src="js/jquery.min.js"> </script>
    <script type="text/javascript">
    var reload_modal_interval = 0;
    var point_interval = 0;
    var update_time_interval = 0;

    </script>
    <script type="text/javascript" src="js/functions.js"> </script>
    <script type="text/javascript" src="js/bootstrap.min.js"> </script>

  </head>
  <body>
    <div class="main">
      <div class="header">
        <h1>Device provisioning auto-configuration</h1>
      </div>
      <br>
      <h2>Add new device</h2>
      <form class="pure-form" method="POST" name="new_device" action="index.php">
        <fieldset>
          <legend>Enter a new phone to configure</legend>
          <input type="text" name="account_id" placeholder="Account ID" required>
          <select name="model" required>

            <option value="">Select model</option>
            <?php
              foreach ($devices as $code => $desc) {
                  echo '<option value="'.$code.'">'.$desc.'</option>';
              }
            ?>
          </select>
          <input type="hidden" name="add" value="yes">
          <input type="submit" class="pure-button pure-button-primary" value="Add">
        </fieldset>
      </form>
      <br>
      <h2 class="content-subhead">Configuration pending list</h2>

      <table class="pure-table" style="margin-right: auto;">
      <thead>
          <tr>
              <th>Account ID</th>
              <th>Model</th>
              <th>Submition date</th>
              <th>Status</th>
              <th>Actions</th>
          </tr>
      </thead>
          <tbody>
<?php 

$sql = "SELECT ID, Account_ID, Device_Model, Subscrition_Date FROM Customer_Devices_Provisioning WHERE Init_Date IS NULL;";

if ($result = $con->query($sql)) {
  while ( $row = $result->fetch_assoc() ) {
    echo "<tr>";
    echo "<td>".$row['Account_ID']."</td>";
    echo "<td>".$row['Device_Model']."</td>";
    echo "<td>".$row['Subscrition_Date']."</td>";
    echo '<td class="cell_action">Wait.</td>';
    echo '<td class="cell_action">
    <a href="#" onclick="load_configuration_modal('.$row['ID'].');" ><img src="http://www.osidb.com/free-icons/png/256x256/categories/preferences-system-4.png" height="24" width="24" /></a> &nbsp;&nbsp;
    <a href="?del='.$row['ID'].'" role="button" data-toggle="modal"><img src="http://icons.iconarchive.com/icons/visualpharm/must-have/256/Delete-icon.png" height="24" width="24" /></a>';
    echo "</tr>";
  }
} 

?>
          </tbody>
      </table>
<?php
//print_r($_POST);
?>
    </div>
    <script type="text/javascript">
    
    function load_configuration_modal(row_id){
      var reload_init_sec = 10;
      //scroll_div_bottom('init_info');
      //var bottom = div_is_scrolled_bottom('init_info');
      //alert();
      $('#init_info').load("include/configuration_modal.php?id="+row_id+"&start_modal=yes&int_time="+reload_init_sec+"&ie="+(new Date().getTime()));
      $('#myModal').modal({ keyboard: false });

      reload_modal_interval = setInterval(function(){$('#init_info').load("include/configuration_modal.php?id="+row_id+"&int_time="+reload_init_sec+"&ie="+(new Date().getTime()))},(1000*reload_init_sec));
    }

    </script>
    <div id="myModal" class="modal hide fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" style="display: none;">
      <div class="modal-header">
      <h2 id="myModalLabel">New device auto-configuration</h2>
      <?php
        //$r_t = strtotime($data['Init_Session_Until']) - time();
        //if ( $r_t <= 0 ){
        //  $r_t = 0;
        //}
      ?>
      Session will close in : <span id="session_close_timer"></span>
      </div>
      <div id="init_info" class="modal-body">

      </div>
      <div class="modal-footer">
      <button class="pure-button" data-dismiss="modal" aria-hidden="true" onclick="clearInterval(reload_modal_interval);">Quit</button>
      <!-- <button class="pure-button pure-button-primary" onclick="$('#steps').html($('#steps').html()+'Coucou ! <br>');">Submit</button> -->
    </div>

    </div>
    <hr>
    <div id="footer">
      <p><i>Created on 2014-02-17 by Nicolas Bondier</i> <address> &copy; <?= date('Y')?> <a href="http://switzernet.com">Switzernet</a></address> </p>
    </div>
  </body>
</html>


<?php

$con->close();


?>